<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/order_list_item_bg"
    android:paddingHorizontal="12dp"
    android:paddingTop="6dp"
    android:paddingBottom="8dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:minHeight="32dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="11sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="20/12/2025" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="end|center_vertical"
            android:includeFontPadding="false"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="1"
            app:layout_constraintStart_toEndOf="@id/tv_time"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="进行中"
            tools:textColor="@color/color_FFFFB836" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/color_FFF2F3F5"
            app:layout_constraintBottom_toBottomOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_order_info"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <com.adealink.weparty.commonui.imageview.AvatarView
            android:id="@+id/iv_category"
            android:layout_width="50dp"
            android:layout_height="50dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_category"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="40dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toTopOf="@id/tv_order_id"
            app:layout_constraintEnd_toStartOf="@id/cl_order_right"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toEndOf="@id/iv_category"
            app:layout_constraintTop_toTopOf="@id/iv_category"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="Super Beautiful Girl Super Beautiful Girl Super Beautiful Girl" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_id"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="3dp"
            android:layout_marginEnd="40dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="11sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/iv_category"
            app:layout_constraintEnd_toStartOf="@id/cl_order_right"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="@id/tv_category"
            app:layout_constraintTop_toBottomOf="@id/tv_category"
            tools:text="LOL Mobile" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_order_right"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/v_discount"
                style="@style/CommonDiscountPriceView"
                android:layout_width="wrap_content"
                android:layout_marginEnd="4dp"
                android:text="@string/common_discount"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@id/tv_price"
                app:layout_constraintEnd_toStartOf="@id/tv_price"
                app:layout_constraintTop_toTopOf="@id/tv_price"
                tools:visibility="visible" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF1D2129"
                android:textSize="16sp"
                app:layout_constraintBottom_toTopOf="@id/tv_count"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="16000" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_price"
                tools:text="x1" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_user_info"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@drawable/playmate_order_userinfo_bg"
        android:padding="8dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_order_info">

        <com.adealink.weparty.commonui.imageview.AvatarView
            android:id="@+id/iv_avatar"
            android:layout_width="23dp"
            android:layout_height="23dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
            app:layout_constraintEnd_toStartOf="@id/iv_gender"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toEndOf="@id/iv_avatar"
            app:layout_constraintTop_toTopOf="@id/iv_avatar"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="Super Beautiful " />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_gender"
            android:layout_width="14dp"
            android:layout_height="14dp"
            android:layout_marginStart="3dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_name"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_name"
            app:layout_constraintTop_toTopOf="@id/tv_name"
            app:srcCompat="@drawable/common_female_ic" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_remark"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/iv_avatar">

            <View
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_marginTop="4dp"
                android:background="@color/color_FFE5E6EB"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_remark_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:ellipsize="end"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="@string/order_user_request"
                android:textColor="@color/color_FF4E5969"
                android:textSize="12sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_remark_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF4E5969"
                android:textSize="11sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_remark_title"
                tools:text="Super Beautiful" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_bottom"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_user_info">

        <!-- 提交凭证 -->
        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_submit_evidence"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:background="@drawable/order_button_evaluate_bg"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="80dp"
            android:paddingHorizontal="6dp"
            android:paddingVertical="3dp"
            android:text="@string/playmate_order_submit_evidence"
            android:textColor="@color/color_FF3FBFBD"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/btn_refuse"
            app:layout_constraintHorizontal_bias="1"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <!-- 拒绝订单 -->
        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_refuse"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:layout_marginStart="6dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="80dp"
            android:paddingHorizontal="6dp"
            app:common_button_type="cancel"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/btn_finish"
            app:layout_constraintStart_toEndOf="@id/btn_submit_evidence"
            app:layout_constraintTop_toTopOf="parent"
            app:text="@string/commonui_cancel"
            app:textColor="@color/white"
            app:textSize="12sp" />

        <!-- 完成订单 -->
        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_finish"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:layout_marginStart="6dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="80dp"
            android:paddingHorizontal="6dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_refuse"
            app:layout_constraintTop_toTopOf="parent"
            app:text="@string/order_btn_finish"
            app:textColor="@color/white"
            app:textSize="12sp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>